Remote Desktops

What is the Remote Desktops snap-in?

The Remote Desktops snap-in enables you to manage connections to Remote Desktop Session Host (RD Session Host) servers and computers that are running a version of Windows Server® 2008 R2, Windows Server 2008, Windows Server 2003, Windows® 7, Windows Vista®, or Windows XP.

Why use the Remote Desktops snap-in?

The Remote Desktops snap-in enables you to administer multiple computers from a single remote location. You can connect to multiple computers at the same time, and can easily switch between connections.

Additional references

Overview of Remote Desktops Snap-In

Start the Remote Desktops Snap-In

Add a New Connection

Start a Session

Disconnect from a Session

Modify an Existing Connection

Specify a Program to Start When You Connect

Delete a Connection


Overview of Remote Desktops Snap-In

The Remote Desktops snap-in enables you to manage connections to Remote Desktop Session Host (RD Session Host) servers and other computers. By using the snap-in, you can administer multiple computers from a single remote location.

By default, when you add a connection, the Remote Desktops snap-in connects you to a session on the remote computer that is used for administrative purposes. In this case, the remote desktop connection is started with the /admin option. This option does not use a client access license if you connect to a computer with the RD Session Host role service installed. To run a specific program when you connect, you can modify the connection and specify the program name.

Membership in the Remote Desktop Users group on the remote computer is the minimum required to complete this procedure. If you connect to a session by using the /admin option, membership in the local Administrators group on the remote computer is the minimum required to complete this procedure.

Note

If your computer is connected to the network, network policy settings may prevent you from completing a given procedure.

Additional references

Start the Remote Desktops Snap-In

Add a New Connection

Start a Session

Disconnect from a Session

Modify an Existing Connection

Specify a Program to Start When You Connect

Delete a Connection


Start the Remote Desktops Snap-In

You can open the Remote Desktops snap-in from the Start menu or by using the Microsoft Management Console (MMC).

Any user account can be used to complete the procedures in this topic.

To open Remote Desktops from the Start menu

  • Click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktops.
To open Remote Desktops from the MMC

  1. Click Start, type mmc and then press ENTER.

  2. On the File menu, click Add/Remove Snap-in.

  3. In the Available snap-ins list, click Remote Desktops, and then click Add.

  4. Click OK.

Additional references

Add a New Connection


Add a New Connection

Before you can connect remotely to a computer in the Remote Desktops snap-in, you must add a connection to the computer.

Any user account can be used to complete this procedure.

To add a new connection

  1. Start the Remote Desktops snap-in. To do this, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktops.

  2. In the console tree, right-click Remote Desktops, and then click Add new connection.

  3. Under Connection, do the following:

    1. In the Computer name or IP address box, type the name or IP address of the computer to which you want to connect. If you want to search for the computer, click Browse, click the computer name, and then click OK.

    2. In the Connection name box, type a friendly name for the connection. By default, the connection name is the same as what you typed in the Computer name or IP address box.

    3. By default, the Connect with /admin option check box is selected. If you connect to a session by using the /admin option, membership in the local Administrators group on the remote computer is required.

      Important

      If you configure a program to start on connection on a computer that is running Windows Server 2003 or Windows XP on the host computer, you must clear the Connect with /admin option check box on the General tab. If the host computer is running Windows Server 2008 or Windows Server 2008 R2, you are not required to clear the /admin option to start a program on connection. If the host computer is running Windows Vista or Windows 7, you cannot configure a program to start on connection.

      If you do not want to connect to a session by using the /admin option, clear the Connect with /admin option check box.

      Important

      In Windows Server 2003 and Windows XP, connecting to a session by using the /admin option always provides a full desktop session, as you would see if you were logged on to the computer locally. If you want to start a specific program upon connection, you must clear the Connect with /admin option check box and specify a program path and file name on the Other tab, which is available when you right-click the connection, and then click Properties.

  4. Under Logon information, do the following:

    1. In the User name box, type the user name of the account that you want to log on as. If you leave the User name box empty, you can enter your user name when you connect.

    2. If you want to save your credentials so that you can automatically log on to the remote computer, select the Allow me to save credentials check box. If you select this check box, your credentials will be saved the next time that you connect to the remote computer by using the Remote Desktops snap-in.

  5. When you are finished, click OK.

Additional references

Start a Session

Modify an Existing Connection

Delete a Connection


Start a Session

You can start a new session or connect to an existing session by using the Remote Desktops snap-in.

Membership in the local Remote Desktop Users group on the remote computer is the minimum required to complete this procedure. If you connect to a session by using the /admin option, membership in the local Administrators group on the remote computer is the minimum required to complete this procedure.

Important

If you are connecting to a domain controller, ensure that the user account has the Allow logon through Remote Desktop Services user right.

To start or connect to a session

  1. Open the Remote Desktops snap-in. To do this, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktops.

  2. In the console tree, expand Remote Desktops.

  3. Under Remote Desktops, click the name of the computer that you want to connect to.

    If the connection does not begin in a few seconds, right-click the computer name, and then click Connect.

  4. If you are prompted for credentials, enter your logon credentials, and then click OK.

    Note

    You can configure saved credential behavior on the General tab, when you view the properties of the connection. For more information, see Modify an Existing Connection.

Additional references

Disconnect from a Session

Modify an Existing Connection

Specify a Program to Start When You Connect


Disconnect from a Session

When you disconnect from a session, your programs will continue to run in a disconnected state. When you reconnect, you will be reconnected to the same session, as long as the session is still running on the remote computer. You can disconnect from a session by using the Remote Desktops snap-in.

Any user account can be used to complete this procedure. However, to disconnect a session, you must be a member of the local Remote Desktop Users group on the remote computer.

To disconnect from a session

  1. Open the Remote Desktops snap-in. To do this, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktops.

  2. In the console tree, right-click the name of the connection that you want to disconnect, and then click Disconnect.
Note

To log off the remote computer, you must log off from within the Remote Desktop session.

Additional references

Start a Session


Modify an Existing Connection

You can modify the properties of an existing connection in the Remote Desktops snap-in. Some of the properties that you can modify include the computer name, logon information, desktop size, and authentication options.

Any user account can be used to complete this procedure.

To modify an existing connection

  1. Open the Remote Desktops snap-in. To do this, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktops.

  2. In the console tree, expand Remote Desktops.

  3. Right-click the connection that you want to modify, and then click Properties.

  4. Make the modifications that you want.

    • On the General tab, you can modify the computer or connection name, indicate whether to connect to a session by using the /admin option, or modify your logon information.

      Important

      If you configure a program to start on connection on a computer that is running Windows Server 2003 or Windows XP on the host computer, you must clear the Connect with /admin option check box on the General tab. If the host computer is running Windows Server 2008 or Windows Server 2008 R2, you are not required to clear the /admin option to start a program on connection. If the host computer is running Windows Vista or Windows 7, you cannot configure a program to start on connection.

      Under Logon information, if you have not saved your logon credentials, you can select the Allow me to save credentials check box. Your credentials will be saved the next time that you connect to the remote computer through the Remote Desktops snap-in.

      If you have previously saved your logon credentials, you can click edit or delete to modify or to remove your credentials.

      If you have saved your credentials, but want to temporarily log on as a different user, you can select the Always ask for credentials check box. To use your saved credentials again, clear this check box.

    • On the Screen Options tab, you can modify the desktop size.

    • On the Other tab, you can configure or modify a program that starts on connection, modify the authentication method, or modify drive redirection settings.

  5. When you are finished, click OK.

Additional references

Specify a Program to Start When You Connect


Specify a Program to Start When You Connect

When you configure a connection in the Remote Desktops snap-in, you can specify a program to start on connection.

Any user account can be used to complete this procedure.

To specify a program to start on connection

  1. Open the Remote Desktops snap-in. To do this, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktops.

  2. If you have not already done so, add the connection. For more information, see Add a New Connection.

  3. In the console tree, expand Remote Desktops.

  4. Right-click the connection that you want to configure, and then click Properties.

  5. If you are connecting to a computer that is running Windows Server 2003 or Windows XP, clear the Connect with /admin option check box on the General tab.

  6. On the Other tab, under Start a program, click to select the Start the following program on connection check box.

  7. In the Program path and file name box, type the full path to the program that should be started. In the Working directory box, type the default folder that the connection should use.

    Note

    If you do not specify a program to start, the connection starts at the Windows desktop.

  8. To allow the remote computer to access drives on the local computer, select the Redirect local drives when logged on to the remote computer check box.

  9. When you are finished, click OK.

Additional references

Modify an Existing Connection


Delete a Connection

You can delete a connection by using the Remote Desktops snap-in.

Any user account can be used to complete this procedure.

To delete a connection

  1. Open the Remote Desktops snap-in. To do this, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktops.

  2. In the console tree, expand Remote Desktops.

  3. Right-click the connection that you want to delete, and then click Delete.

Additional references

Add a New Connection